## NAME

r.texture - Generate images with textural features from a raster map

## SYNOPSIS

r.texture
r.texture help
r.texture [-Nqackviswxedpmno] input=string prefix=string size=value distance=value

### Flags:

-N
  Normalized
-q
  Quiet
-a
  Angular Second Moment
-c
  Contrast
-k
  Correlation
-v
  Variance
-i
  Inverse Diff Moment
-s
  Sum Average
-w
  Sum Variance
-x
  Sum Entropy
-e
  Entropy
-d
  Difference Variance
-p
  Difference Entropy
-m
  Measure of Correlation-1
-n
  Measure of Correlation-2
-o
  Max Correlation Coeff

### Parameters:

input=string
  Name of the input raster map
prefix=string
  Name of the ouput raster map
size=value
  The size of the sliding window (odd and >= 3)
distance=value
  The distance between two samples (>= 1)

## DESCRIPTION

r.texture - Creates map raster with textural features for user-specified raster map layer. The module calculates textural features based on spatial dependence matrices at 0, 45, 90, and 135 degrees for a distance (default = 1).

r.texture reads a GRASS raster map as input and calculates textural features based on spatial dependence matrices for north-south, east-west, northwest, and southwest directions using a side by side neighborhood (i.e., a distance of 1). Be sure to carefully set your resolution (using g.region) before running this program, or else your computer could run out of memory. Also, make sure that your raster map has no more than 255 categories. The output consists into four images for each textural feature, one for every direction

The following are brief explanations of texture measures:

A commonly used texture model is based on the so-called grey level co-occurrence matrix. This matrix is a two-dimensional histogram of grey levels for a pair of pixels which are separated by a fixed spatial relationship. The matrix approximates the joint probability distribution of a pair of pixels. Several texture measures are directly computed from the grey level co-occurrence matrix.

- Angular Second Moment: This is a measure of local homogeneity and the opposite of Entropy. It is high when the local window a few pixels with high values; low, when the pixels are almost equal.
- Contrast: This measure considers the amount of local variation and is the opposite of Homogeneity (when high pixel values concentrate along the diagonal).
- Correlation: This measure analyses the linear dependency of grey levels of neighboring pixels. Typically high, when the scale of local texture is larger than the distance.
- Entropy: This measure is high when the values of the local window have similar values. It is low when the values are close to either 0 or 1 (i.e. when the pixels in the local window are uniform).

## NOTES

Algorithm taken from:
Haralick, R.M., K. Shanmugam, and I. Dinstein. 1973. Textural features for image classification. IEEE Transactions on Systems, Man, and Cybernetics, SMC-3(6):610-621.

The code was taken by permission from pgmtexture, part of PBMPLUS (Copyright 1991, Jef Poskanser and Texas Agricultural Experiment Station, employer for hire of James Darrell McCauley).
Man page of pgmtexture

## BUGS

- The program can run incredibly slow for large raster files.

- The method for finding the maximal correlation coefficient, which requires finding the second largest eigenvalue of a matrix Q, does not always converge.

## REFERENCES

Haralick, R.M., K. Shanmugam, and I. Dinstein (1973). Textural features for image classification. IEEE Transactions on Systems, Man, and Cybernetics, SMC-3(6):610-621.

Bouman C. A., Shapiro M.,(March 1994).A Multiscale Random Field Model for Bayesian Image Segmentation, IEEE Trans. on Image Processing, vol. 3, no.2.

Haralick R., (May 1979). Statistical and structural approaches to texture, Proceedings of the IEEE, vol. 67, No.5, pp. 786-804

## SEE ALSO

i.smap
i.gensigset
i.pca
r.digit
i.group

## AUTHOR

G. Antoniol - RCOST (Research Centre on Software Technology - Viale Traiano - 82100 Benevento.
C. Basco - RCOST (Research Centre on Software Technology - Viale Traiano - 82100 Benevento.
M. Ceccarelli - Facoltà di Scienze, Università del Sannio Via Port’Arsa 11, Benevento.

Last changed: $Date: 2005/06/27 00:12:46 $

Help Index